VERSION 5.00
Object = "{74B6BEA7-31E5-46E4-BDB0-E7C02CF51561}#1.0#0"; "SMX150AX.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1485
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   1620
   LinkTopic       =   "Form1"
   ScaleHeight     =   99
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   108
   StartUpPosition =   3  'Windows Default
   Begin SMX150AX.SMX150ActiveX SMX150 
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   240
      Visible         =   0   'False
      Width           =   855
      Object.Visible         =   -1  'True
      AutoScroll      =   0   'False
      AutoSize        =   0   'False
      AxBorderStyle   =   1
      Caption         =   "SMX150ActiveX"
      Color           =   -2147483633
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      KeyPreview      =   0   'False
      PixelsPerInch   =   96
      PrintScale      =   1
      Scaled          =   -1  'True
      DropTarget      =   0   'False
      HelpFile        =   ""
      DoubleBuffered  =   0   'False
      Enabled         =   -1  'True
      Cursor          =   0
      HelpType        =   0
      HelpKeyword     =   ""
      DeviceID        =   0
      FrameStartX     =   0
      FrameStartY     =   0
      FrameWidth      =   0
      FrameHeight     =   0
      FrameDecimation =   0
      FrameMirrorV    =   0   'False
      FrameMirrorH    =   0   'False
      Frequency       =   1
      Exposure        =   16
      ExposureMs      =   1,009
      Started         =   0
      DACrawOffset    =   64
      DACfineOffset   =   48
      SnapshotExposure=   1006
      SnapshotExpMs   =   1,337
      ShowVideo       =   0
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Grab Snapshots"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   720
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Label1"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   1200
      Width           =   1455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Command1_Click()
    Dim Width As Long, Height As Long
    Dim FramesPtr As Long, lpBuffer As Long
    Dim FrameSize As Long
    Dim FrameNum As Long
    Dim FrameGrab As Long
    Dim i As Long
    
    If SMX150.Connected Then
        Debug.Print "Camera Connected!"
        SMX150.GetFrameParams
        Width = SMX150.FrameWidth
        Height = SMX150.FrameHeight
        FrameSize = Width * Height
        
        SMX150.Frequency = 1 ' 24 Mhz
        SMX150.SetGain 0, 0, 0, 0
        SMX150.ExposureMs = 1.01
        
        SMX150.Started = 0 ' stop camera
        If SMX150.AllocMemory(FrameSize, FramesPtr, FrameNum) Then
            Label1.Caption = "AllocMemory for " + Trim(Str(FrameNum)) + " frame(s)"
            Call SMX150.GetMultipleSnapshots(10, False, False, False, FrameSize, FramesPtr, 10, FrameGrab)
            Label1.Caption = "Grabed " + Trim(Str(FrameGrab)) + " frame(s)"
            lpBuffer = FramesPtr
            For i = 1 To FrameGrab
                Call SaveAsMonoBitmap("snap" + Trim(Str(i)) + ".bmp", lpBuffer, Width, Height)
                lpBuffer = lpBuffer + FrameSize
                Label1.Caption = "Saved " + Trim(Str(i)) + " frame"
            Next i
            Label1.Caption = "LastError=" + Trim(Str(SMX150.GetLastError))
            If SMX150.FreeMemory(FrameSize, FramesPtr, FrameNum) Then
                Label1.Caption = "FreeMemory Ok!"
            End If
        Else
            Label1.Caption = "AllocMemory() fail!"
        End If
        
    Else
        Label1.Caption = "Camera NOT connected!"
        MsgBox "Camera NOT connected!"
    End If
            
End Sub

